Package tigase.vhosts

# Class VHostItemExtension<T extends VHostItemExtension<T>>

java.lang.Object
tigase.vhosts.VHostItemExtension<T>

All Implemented Interfaces:
  `VHostItemExtensionIfc<T>`

Direct Known Subclasses:
  `AbstractVHostItemExtension`

public abstract class VHostItemExtension<T extends VHostItemExtension<T>> extends Object implements VHostItemExtensionIfc<T>
Abstract class required to be a superclass for all classes implementing `VHostItemExtensionIfc`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VHostItemExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract T`
  `mergeWithDefaults(T defaults)`
  Abstract method required to be implemented for merging values stored in this instance with default settings stored in the default virtual host item (global or default settings of the installation).
  `String`
  `toString()`
  Generic implementation of a method which combines data returned by `toDebugString()` with class name for easier debugging.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface tigase.vhosts.VHostItemExtensionIfc

  `addCommandFields, getId, initFromCommand, initFromElement, toDebugString, toElement`

- ## Constructor Details

  - ### VHostItemExtension

    public VHostItemExtension()

- ## Method Details

  - ### mergeWithDefaults

    public abstract T mergeWithDefaults(T defaults)
    Abstract method required to be implemented for merging values stored in this instance with default settings stored in the default virtual host item (global or default settings of the installation).
    Parameters:
      `defaults` - - instance of the extension with default values
    Returns:
      instance of the extension containing merged values

  - ### toString

    public String toString()
    Generic implementation of a method which combines data returned by `toDebugString()` with class name for easier debugging.
    Overrides:
      `toString` in class `Object`
    Returns:
      - class